Update credential details

Updates an existing credential. Only the credential owner can update their credentials.
At least one of username, password, or status must be provided.
Does not allow updating auth_id, dp_id, private_key, passphrase, or other immutable metadata.

Path Params
uuid
required

UUID identifier of the credential to update

Body Params

Update payload for credentials. At least one field must be provided.
Only the owner of the credentials can update them.
Does not allow updating auth_id, dp_id, private_key, passphrase, or other metadata.

Validation Rules:

  • At least one of username, password, or status must be provided
  • Username must be non-empty if provided

string
length ≥ 1

New username for authentication (optional, must be non-empty if provided)

password

New password for authentication (optional, will be encrypted)

string
enum

New status of the authentication context (optional)

Allowed:
Responses

Language
Credentials
URL
LoadingLoading…
Response
Choose an example:
application/json